Photon OS 1.0: Nodejs10 PHSA-2021-1.0-0373

high Nessus Plugin ID 147954

Synopsis

The remote PhotonOS host is missing multiple security updates.

Description

An update of the nodejs10 package has been released.

Solution

Update the affected Linux packages.

See Also

https://github.com/vmware/photon/wiki/Security-Updates-1.0-373.md

Plugin Details

Severity: High

ID: 147954

File Name: PhotonOS_PHSA-2021-1_0-0373_nodejs10.nasl

Version: 1.5

Type: local

Published: 3/22/2021

Updated: 5/10/2022

Risk Information

VPR

Risk Factor: Medium

Score: 6.7

CVSS v2

Risk Factor: Medium

Base Score: 6.4

Temporal Score: 4.7

Vector: AV:N/AC:L/Au:N/C:P/I:P/A:N

Temporal Vector: E:U/RL:OF/RC:C

CVSS Score Source: CVE-2020-8287

CVSS v3

Risk Factor: High

Base Score: 7.5

Temporal Score: 6.5

Vector: CVSS:3.0/AV:N/AC:H/PR:N/UI:R/S:U/C:H/I:H/A:H

Temporal Vector: E:U/RL:O/RC:C

CVSS Score Source: CVE-2021-22884

Vulnerability Information

CPE: p-cpe:/a:vmware:photonos:nodejs10, cpe:/o:vmware:photonos:1.0

Required KB Items: Host/local_checks_enabled, Host/PhotonOS/release, Host/PhotonOS/rpm-list

Exploit Ease: No known exploits are available

Patch Publication Date: 3/22/2021

Vulnerability Publication Date: 1/4/2021

Reference Information

CVE: CVE-2020-8287, CVE-2021-22883, CVE-2021-22884

IAVB: 2021-B-0012-S